Download it now!
Bug 124026 - KDE: Can't resize any toolbar
Summary: KDE: Can't resize any toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: implementationError
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-03-12 14:27 UTC by Roman Kuznetsov
Modified: 2019-04-04 22:06 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-03-12 14:27:31 UTC
Description:
KDE: Can't resize any toolbar in any module of LO

Steps to Reproduce:
1. Make any toolbar as floating or open any toolbar from View->Toolbars
2. Try resize it -> You can't
3.

Actual Results:
Can't resize any toolbar in any module of LO

Expected Results:
Can resize any toolbar in any module of LO


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+
Build ID: c2b20809b5d446d8f9d1d35723d67d24f64144dd
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-01_16:32:53
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2019-03-12 14:28:34 UTC
I can resize toolbars easy in

Version: 6.1.5.2
Build ID: 1:6.1.5-0ubuntu0.18.10.1
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: gtk3_kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: group threaded
Comment 2 Vera Blagoveschenskaya 2019-03-12 14:31:44 UTC
Confirmed from my side

Version: 6.3.0.0.alpha0+
Build ID: f23738139429358c11fa62708fbdf5bb0c43d199
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-28_20:14:57
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

The similar problem with resizing: 
https://bugs.documentfoundation.org/show_bug.cgi?id=120865
Comment 3 Katarina Behrens (Inactive) 2019-03-13 10:42:05 UTC
Can you people resize floating toolbars with gtk3? 

You must be in X11, not in Wayland tho (toolbars in Wayland don't float and it's not a bug but a conscious design decision)
Comment 4 Vera Blagoveschenskaya 2019-03-13 11:26:48 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> Can you people resize floating toolbars with gtk3? 
> 
Yes, it's possible for gtk3
Comment 5 Andreas Säger 2019-03-16 20:12:32 UTC
It is possible with gtk3 but not with gtk3 + Wayland. With Wayland all toolbars are docked and you can only move them within the margin or from one margin to the other. I observed this under Ubuntu 18.4 where you can choose Wayland on the log-in screen.
Comment 6 Katarina Behrens (Inactive) 2019-03-27 08:30:38 UTC
Well, actually ... *grin*

You can resize a toolbar (or any other floating windos for that matter), it is just that those arrow cursors that show up at the edges of the window and indicate you can start resizing are not implemented in kde5
Comment 7 Commit Notification 2019-03-27 11:34:06 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/167812fe0d77b993427e7dca112f319a92942a3c%5E%21

tdf#124026: map window resizing-related cursors to their Qt equivalents

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Vera Blagoveschenskaya 2019-04-04 06:38:48 UTC
Thanks, bug seems to be fixed!

Resize is OK for

Version: 6.3.0.0.alpha0+
Build ID: 5e30823e8a25066aa7bbaa801583dbfa7db55a72
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-31_17:29:00
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Commit Notification 2019-04-04 22:06:24 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/0ff90fd5cb698ef78fc15e3073eaaacd599beae7%5E%21

tdf#124026: map window resizing-related cursors to their Qt equivalents

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.